Bug 43072 - Fix ptr_record/cname deletion in `con2ucs()` (s4connector/s4/dns.py)
Fix ptr_record/cname deletion in `con2ucs()` (s4connector/s4/dns.py)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Lukas Oyen
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-29 12:38 CET by Lukas Oyen
Modified: 2017-07-26 14:39 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.171
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
gohmann: Patch_Available+


Attachments
Patches to use ucs_ptr_record_delete()/ucs_cname_delete() (10.00 KB, application/x-tar)
2016-11-29 12:42 CET, Lukas Oyen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Oyen univentionstaff 2016-11-29 12:38:58 CET

    
Comment 1 Lukas Oyen univentionstaff 2016-11-29 12:42:30 CET
Created attachment 8251 [details]
Patches to use ucs_ptr_record_delete()/ucs_cname_delete()

The function `con2ucs()` in s4connector/s4/dns.py` does not correctly delete ptr_record/cname objects, but creates them on deletion due to a copy-paste bug.

These two patches fix this issue. All s4conenctor tests are passing on a single UCS 4.4-1 errata 332.
Comment 2 Lukas Oyen univentionstaff 2017-07-06 12:06:58 CEST
Committed in r80908/80909 (advisory r80911).
Comment 3 Arvid Requate univentionstaff 2017-07-25 17:54:30 CEST
The patch is ok, but it doesn't have any effect, because the S4-Connector is unable to identify the type of object, because the dNSRecord attribute values have been stripped during deletion:

31.01.2016 17:27:08,72 LDAP        (INFO   ): dns con2ucs: Ignore unkown dns object: relativedomainname=foo,zonename=ar41i1.qa,cn=dns,dc=ar41i1,dc=qa

But generally it's correct to fix this.
Comment 4 Erik Damrose univentionstaff 2017-07-26 14:39:27 CEST
<http://errata.software-univention.de/ucs/4.2/114.html>